Subject: Re: [PATCH wireless-2.6-git] prism54: WPA/RSN support for fullmac cards

From: [email-masked]
Date: Fri, 17 Nov 2006 21:53:50 +0100

>
> The card is WG511 talking to netgear WGR614 router. I am using WEP128
> with shared keys. Router is set to be "g" only. The OS is Fedora Core
> 3 (I swear I will upgrade :) ), just recompiled wireless tools from
> sources in FC6.
>
> > for debugging:
> > dmesg & iwevent output would be nice...
>
> Will do when I get home.
>
> > but I'll accept a short "sniffer" extract too. ;)
> >
> > (it would be really good, if you can provide a package dump form a
> > working setup with the old driver too!)
>
> You'd have to tell me exactly what you want me to do.
just the Management Frames (MLME):
Beacon, Authentication and Association Responses/Requests Frames
you can capture these frames with an extra sniffer card (in monitor mode)
just run tcpdump, wireshark(ethereal), kismet, ...

>
> The reason for me trying the patch is that the card locks up
> frequently (the amber transmission light turns on stays this way).
 
Do you get any fancy "mgt timeout ..." or something in dmesg, when
the cards locks up? (include one, if you can, maybe syslog "saved" one)